[Twisted-Python] error "limits.h missing" while compiling zope interface in Sumo on mac os x 10.4.6 Py 2.4

Grant Baillie grant at osafoundation.org
Wed Apr 19 14:24:00 EDT 2006

On Apr 19, 2006, at 10:46, Nitin Borwankar on Twisted-Python list wrote:

> Hello Twisted gurus,
> Apologies if this is a FAQ - couldn't find answers in the obvious
> places. ( list archives, google, ...).
> I've been trying to build the TwistedSumo-2006-02-12 package -
> especially the ZopeInterface package within, and am getting the
> following errors
> about limits.h not being found.
> This is on Mac OS X 10.4.6 on a PPC powerbook G4 with gcc 4.0, I tried
> swicthing to 3.3 via gcc_select and got a different error about gcc
> command line switches.
> An 'ls' on
> /Library/Frameworks/Python.framework/Versions/2.4/include/python2.4/
> indicates that indeed there's no limits.h there.

limits.h is a system header. From the invocation of gcc:

> ...
> building 'zope.interface._zope_interface_coptimizations' extension
> gcc -arch ppc -arch i386 -isysroot /Developer/SDKs/MacOSX10.4u.sdk
> -fno-strict-aliasing -Wno-long-double -no-cpp-precomp -mno-fused-madd
> -fno-common -dynamic -DNDEBUG -g
> -IDependencies/zope.interface-ZopeInterface-3.1.0c1/zope.interface
> -I/Library/Frameworks/Python.framework/Versions/2.4/include/ 
> python2.4 -c
> Dependencies/zope.interface-ZopeInterface-3.1.0c1/zope.interface/ 
> _zope_interface_coptimizations.c
> -o
> build/temp.macosx-10.4-fat-2.4/Dependencies/zope.interface- 
> ZopeInterface-3.1.0c1/zope.interface/_zope_interface_coptimizations.o

... it looks as if there's something wrong with your /Developer/SDKs/ 
MacOSX10.4u.sdk, since the compiler should be picking up a correct  
limits.h from somewhere in that tree. Is that directory installed on  
your machine? What version of Xcode do you have?


Grant Baillie
Open Source Applications Foundation

More information about the Twisted-Python mailing list